// config 1.9 - include Autoexec.cfg

// Quick Weapon toggle
alias weap_t weap_qr
alias weap_qr "bf ;alias weap_t weap_gr ;bind 1 qr01 ;bind 2 qr02 ;bind 3 qr03 ;bind 4 qr04 ;bind 5 qr05 ;bind 6 qr06 ;bind 7 qr07 ;bind 8 qr08 ;echo Quick Rocket Enabled"
alias weap_gr "bf ;alias weap_t weap_qr ;bind 1 qg01 ;bind 2 qg02 ;bind 3 qg03 ;bind 4 qg04 ;bind 5 qg05 ;bind 6 qg06 ;bind 7 qg07 ;bind 8 qg08 ;echo Quick Grenade Enabled"

// Quick Grenade - will not coincide with impulse 10 selections
alias gren1 "impulse 6 ;+attack ;wait ;impulse 1 ;-attack"
alias gren2 "impulse 6 ;+attack ;wait ;impulse 2 ;-attack"
alias gren3 "impulse 6 ;+attack ;wait ;impulse 3 ;-attack"
alias gren4 "impulse 6 ;+attack ;wait ;impulse 4 ;-attack"
alias gren5 "impulse 6 ;+attack ;wait ;impulse 5 ;-attack"
alias gren6 "impulse 6 ;+attack ;wait ;impulse 6 ;-attack"
alias gren7 "impulse 6 ;+attack ;wait ;impulse 7 ;-attack"
alias gren8 "impulse 6 ;+attack ;wait ;impulse 8 ;-attack"
alias qg01 "impulse 1 ;bind MOUSE3 gren1"
alias qg02 "impulse 2 ;bind MOUSE3 gren2"
alias qg03 "impulse 3 ;bind MOUSE3 gren3"
alias qg04 "impulse 4 ;bind MOUSE3 gren4"
alias qg05 "impulse 5 ;bind MOUSE3 gren5"
alias qg06 "impulse 6 ;bind MOUSE3 gren6"
alias qg07 "impulse 7 ;bind MOUSE3 gren7"
alias qg08 "impulse 8 ;bind MOUSE3 gren8"

// Crosshair
alias cross_t cross_on
alias cross_on "bf ;alias cross_t cross_off ;bind SPACE +snipe3 ;bind \ +snipe3 ;bind x +zoom3 ;bind c look_t2 ;crosshair 1 ;echo crosshair ON"
alias cross_off "bf ;alias cross_t cross_on ;bind SPACE +snipe ;bind \ +snipe ;bind x +zoom ;bind c look_t ;crosshair 0 ;echo crosshair OFF"

// Full Zoom (for crosshair ON)
alias zoom9k "bind p zoom7j ;uncent;bind ] in7i  ;bind o   bf   ;bind [   bf   ;fov 90.00 ;sensitivity 5.00"
alias zoom7j "bind p zoom5i ;offcn1;bind ] in5h  ;bind o zoom9k ;bind [ zoom9k ;fov 70.00 ;sensitivity 4.00"
alias zoom5i "bind p zoom4h ;offcn2;bind ] in4g  ;bind o zoom7j ;bind [ out7i  ;fov 58.00 ;sensitivity 3.25"
alias zoom4h "bind p zoom3g ;center;bind ] in3f  ;bind o zoom5i ;bind [ out5h  ;fov 45.00 ;sensitivity 2.50"
alias zoom3g "bind p zoom2f ;       bind ] in2e  ;bind o zoom4h ;bind [ out4g  ;fov 30.00 ;sensitivity 1.67"
alias zoom2f "bind p zoom1e ;       bind ] in1d  ;bind o zoom3g ;bind [ out3f  ;fov 22.50 ;sensitivity 1.25"
alias zoom1e "bind p zoom1d ;       bind ] in1c  ;bind o zoom2f ;bind [ out2e  ;fov 18.00 ;sensitivity 1.00"
alias zoom1d "bind p zoom1c ;       bind ] in1b  ;bind o zoom1e ;bind [ out1d  ;fov 15.00 ;sensitivity 0.83"
alias zoom1c "bind p zoom1b ;       bind ] in1a  ;bind o zoom1d ;bind [ out1c  ;fov 12.86 ;sensitivity 0.71"
alias zoom1b "bind p zoom1a ;       bind ] zoom1a;bind o zoom1c ;bind [ out1b  ;fov 11.25 ;sensitivity 0.63"
alias zoom1a "bind p bf     ;       bind ] bf    ;bind o zoom1b ;bind [ out1a  ;fov 10.00 ;sensitivity 0.56"

alias in7i "fov 70.00 ;offcn1 ;sensitivity 4.00 ;wait ;  in5h"
alias in5h "fov 58.00 ;offcn2 ;sensitivity 3.25 ;wait ;  in4g"
alias in4g "fov 45.00 ;center ;sensitivity 2.50 ;wait ;  in3f"
alias in3f "fov 30.00 ;        sensitivity 1.67 ;wait ;  in2e"
alias in2e "fov 22.50 ;        sensitivity 1.25 ;wait ;  in1d"
alias in1d "fov 18.00 ;        sensitivity 1.00 ;wait ;  in1c"
alias in1c "fov 15.00 ;        sensitivity 0.83 ;wait ;  in1b"
alias in1b "fov 12.86 ;        sensitivity 0.71 ;wait ;  in1a"
alias in1a "fov 11.25 ;        sensitivity 0.63 ;wait ;zoom1a"

alias out7i "fov 70.00 ;offcn1;sensitivity 4.00 ;wait ;zoom9k"
alias out5h "fov 58.00 ;offcn2;sensitivity 3.25 ;wait ; out7i"
alias out4g "fov 45.00 ;center;sensitivity 2.50 ;wait ; out5h"
alias out3f "fov 30.00 ;       sensitivity 1.67 ;wait ; out4g"
alias out2e "fov 22.50 ;       sensitivity 1.25 ;wait ; out3f"
alias out1d "fov 18.00 ;       sensitivity 1.00 ;wait ; out2e"
alias out1c "fov 15.00 ;       sensitivity 0.83 ;wait ; out1d"
alias out1b "fov 12.86 ;       sensitivity 0.71 ;wait ; out1c"
alias out1a "fov 11.25 ;       sensitivity 0.63 ;wait ; out1b"

// Full Zoom Hotkey 3 (CH on)
alias +zoom3 "in7i ;+mlook"
alias -zoom3 "out1b ;-mlook"

// Sniper Zoom Hotkey 3 (CH on)
alias +snipe3 "fov 70.00 ;offcn1 ;sensitivity 4.00 ;wait ;fov 58.00 ;offcn2 ;sensitivity 3.25 ;wait ;fov 45.00 ;center ;sensitivity 2.50 ;+mlook"
alias -snipe3 "fov 58.00 ;offcn2 ;sensitivity 3.25 ;wait ;fov 70.00 ;offcn1 ;sensitivity 4.00 ;wait ;fov 90.00 ;uncent ;sensitivity 5.00 ;-mlook"

// Full Zoom Hotkey 4 (CH/FL on)
alias +zoom4 "in7i"
alias -zoom4 "out1b"

// FreeLook Mode 2 (for CH on - remaps MOUSE2 to impulse 10)
alias look_t2 look_on2
alias look_on2 "bf ;alias look_t2 look_of2 ;bind SPACE +snipe4 ;bind \ +snipe4 ;bind x +zoom4 ;bind i nocross ;bind MOUSE2 w_cycle ;+mlook ;echo freelook ON"
alias look_of2 "bf ;alias look_t2 look_on2 ;bind SPACE +snipe3 ;bind \ +snipe3 ;bind x +zoom3 ;bind i cross_t ;bind MOUSE2 +mlook ;-mlook ;echo freelook OFF"

// Float Mode - float on the water surface 
alias float_t float_on
alias float_on "bf ;alias float_t float_off ;+moveup ;bind CTRL nofly ;echo float ON"
alias float_off "bf ;alias float_t float_on ;-moveup ;bind CTRL flyer ; echo float OFF"
alias nofly "bf ;bind CTRL bf ;echo turn OFF Float to use Fly"
alias flyer "bf ;fly"

// Gravity Script
alias grvdef "bf ;bind , grv700 ;bind .     bf ;echo gravity set at default" 
alias grv800     "bind , grv700 ;bind . grvdef ;sv_gravity 800"
alias grv700     "bind , grv600 ;bind . grv800 ;sv_gravity 700"
alias grv600     "bind , grv500 ;bind . grv700 ;sv_gravity 600"
alias grv500     "bind , grv400 ;bind . grv600 ;sv_gravity 500"
alias grv400     "bind , grv300 ;bind . grv500 ;sv_gravity 400"
alias grv300     "bind , grv200 ;bind . grv400 ;sv_gravity 300"
alias grv200     "bind , grv100 ;bind . grv300 ;sv_gravity 200"
alias grv100     "bind ,  grv50 ;bind . grv200 ;sv_gravity 100"
alias  grv50     "bind ,  grv25 ;bind . grv100 ;sv_gravity  50"
alias  grv25     "bind ,  grv10 ;bind .  grv50 ;sv_gravity  25"
alias  grv10     "bind ,  nogrv ;bind .  grv25 ;sv_gravity  10"
alias  nogrv "bf ;bind ,     bf ;bind .  grv25 ;echo You might as well fly"

// X-Ray Mode
alias xray_t xray_on
alias xray_on  "bf ;alias xray_t xray_off ;r_draworder 1 ;echo xray ON"
alias xray_off "bf ;alias xray_t xray_on ;r_draworder 0 ;echo xray OFF"

echo
echo Version 1.9 NecroBoi Config
